package com.loafle.overflow.module.auth.dao;

import com.loafle.overflow.module.auth.model.AuthCrawler;
import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.target.model.Target;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

/**
 * Created by snoop on 17. 8. 30.
 */
@Repository
public interface AuthCrawlerDAO extends JpaRepository<AuthCrawler, Long> {
    AuthCrawler findByCrawlerAndTarget(MetaCrawler metaCrawler, Target target);
}
