package com.loafle.overflow.module.sensor.service;

import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;
import com.loafle.overflow.module.sensor.dao.SensorItemDependencyDAO;
import com.loafle.overflow.module.sensor.model.SensorItemDependency;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */

@Service("SensorItemDependencyService")
public class SensorItemDependencyService {

    @Autowired
    private SensorItemDependencyDAO sensorItemDependencyDAO;

    public SensorItemDependency regist(SensorItemDependency dependency) {
        return this.sensorItemDependencyDAO.save(dependency);
    }

    public List<MetaSensorItemKey> readAllByDisplayItem(MetaSensorDisplayItem displayItem) {
        return this.sensorItemDependencyDAO.findAllByDisplayItem(displayItem);
    }
}
