package com.loafle.overflow.module.sensor.dao;

import com.loafle.overflow.module.meta.model.MetaSensorDisplayItem;
import com.loafle.overflow.module.meta.model.MetaSensorItemKey;
import com.loafle.overflow.module.sensor.model.SensorItemDependency;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by insanity on 17. 9. 20.
 */
@Repository
public interface SensorItemDependencyDAO extends JpaRepository<SensorItemDependency, Long> {

    List<MetaSensorItemKey> findAllByDisplayItem(MetaSensorDisplayItem displayItem);
}
